%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Esercitazione sul calcolo simbolico  %
%             Esercizio 3              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%a)
syms v0 t theta g

%espressione simbolica per la distanza percorsa in verticale
Disty=v0*t*sin(theta)-1/2*g*t^2;

%espressione simbolica per la distanza percorsa in orizzontale

Distx=v0*t*cos(theta);

%al momento dell'impatto la distanza verticale  uguale a zero 
impact_time=solve(Disty,t);

impact_distance=subs(Distx,t,impact_time(2));
impact_distance

simp_id=simple(impact_distance)

%b)
%sostituisco i valori numerici nell'equazione impact_distance
impact_100=subs(impact_distance, {v0,g},{100,9.8})

ezplot(impact_100,[0,pi/2])
title('Massima distanza percorsa dal proiettile')
xlabel('angolo (radianti)')
ylabel('distanza (metri)')

%c)
max_angle=solve(diff(impact_100))
max_dist=subs(impact_100,theta,max_angle(2))
