%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Esercitazione sul calcolo simbolico  %
%             Esercizio 5              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear
clc
close all

syms tf ti t
% equazione che rappresenta l'altitudine in metri in funzione del tempo

ht=-0.12*t^4+12*t^3-380*t^2+4100*t+220;

% a) equazione per la velocit del pallone
% v=collect(ht/t)
v=diff(ht)

% b) equazione per l'accelerazione del pallone
a=diff(v)

% c) grafici della quota, della velocit e dell'accelerazione nellintervallo [0,48]

figure(1)
ezplot(ht,[0,50])
xlabel('t')
ylabel('quota')
title('quota raggiunta nelle prime 48 ore')
figure(2)
ezplot(v,[0,48])
xlabel('t')
ylabel('velocit')
title('velocit nelle prime 48 ore')
figure(3)
ezplot(a,[0,48])
xlabel('t')
ylabel('accelerazione')
title('accelerazione nelle prime 48 ore')




